import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function getList(data) {
  return request({
    url: `/tax/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function pageExport(data, name) {
  return postBlob({
    url: '/tax/list/export',
    data,
    name
  })
}


// 删除仓储
export function deleteStorage(params) {
  return request({
    url: '/storage/delete',
    method: 'post',
    params
  })
}

// 新增仓储
export function saveData(params) {
  return request({
    url: '/tax/update',
    method: 'post',
    params
  })
}

// 编辑仓储
export function editStorage(params) {
  return request({
    url: '/storage/update',
    method: 'post',
    data: params
  })
}

// 获取仓储详情
export function getDetail(params) {
  return request({
    url: '/tax/detail',
    method: 'post',
    params
  })
}
